Subject: FVWM: FvwmBackerDesk -solid option doesn't work without "xsetroot" (fvwm2_2.0.43-BETA, also experienced in 2.0.42-BETA)

From: [email-masked]
Date: Thu, 5 Sep 1996 03:38:57 -0400

I'm not on the list, PLEASE CC: replies to both the list and
me directly.

      - Describe the problem as best you can:

This works (in .fvwm2rc):
*FvwmBackerDesk 0 xsetroot -solid violetred3
*FvwmBackerDesk 1 xearth -once -nice 20 -nolabel -nomarkers -gamma 2.1 -nostars -pos fixed,40.75,-73.98
*FvwmBackerDesk 2 xsetroot -solid purple
*FvwmBackerDesk 3 xv -root -rmode 1 -quit /u/ulmo/pictures/aol/raphael1.gif

This doesn't:
*FvwmBackerDesk 0 -solid violetred3
*FvwmBackerDesk 1 xearth -once -nice 20 -nolabel -nomarkers -gamma 2.1 -nostars -pos fixed,40.75,-73.98
*FvwmBackerDesk 2 -solid purple
*FvwmBackerDesk 3 xv -root -rmode 1 -quit /u/ulmo/pictures/aol/raphael1.gif

What this does is pick some odd color and use it for both desk 0 &
desk 2.  It is consistent in which color it picks, but it's never what
I want.

        - If applicable, include information from:
                xwininfo
Q:~/sys/fvwm2_2.0.43-BETA$ xwininfo

xwininfo: Please select the window about which you
          would like information by clicking the
          mouse in that window.

[I click on the ugly backround]

xwininfo: Window id: 0x25 (the root window) (has no name)

  Absolute upper-left X:  0
  Absolute upper-left Y:  0
  Relative upper-left X:  0
  Relative upper-left Y:  0
  Width: 1024
  Height: 768
  Depth: 16
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x21 (installed)
  Bit Gravity State: ForgetGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners:  +0+0  -0+0  -0-0  +0-0
  -geometry 1024x768+0+0

Q:~/sys/fvwm2_2.0.43-BETA$ 

                xprop
Q:~/sys/fvwm2_2.0.43-BETA$ xprop
[once again I click on ugly background]
CUT_BUFFER7(STRING) = 
CUT_BUFFER6(STRING) = 
CUT_BUFFER5(STRING) = 
CUT_BUFFER4(STRING) = 
CUT_BUFFER3(STRING) = 
CUT_BUFFER2(STRING) = 
CUT_BUFFER1(STRING) = 
CUT_BUFFER0(STRING) = "Q:~/sys/fvwm2_2.0.43-BETA$ xprop\nCUT_BUFFER7(STRING) = \nCUT_BUFFER6(STRING) = \nCUT_BUFFER5(STRING) = \nCUT_BUFFER4(STRING) = \nCUT_BUFFER3(STRING) = \nCUT_BUFFER2(STRING) = \nCUT_BUFFER1(STRING) = \nCUT_BUFFER0(STRING) = \"  Class: InputOutput\\n  Colormap: 0x21 (installed)\\n  Bit Gravity State: ForgetGravity\\n  Window Gravity State: NorthWestGravity\\n  Backing Store State: NotUseful\\n  Save Under State: no\\n  Map State: IsViewable\\n  Override Redirect State: no\\n  Corners:  +0+0  -0+0  -0-0  +0-0\\n "
_MOTIF_DEFAULT_BINDINGS(STRING) = "osfCancel:<Key>Escape,<Key>Cancel\nosfLeft:<Key>Left\nosfUp:<Key>Up\nosfRight:<Key>Right\nosfDown:<Key>Down\nosfEndLine:<Key>End\nosfBeginLine:<Key>Home,<Key>Begin\nosfPageUp:<Key>Prior\nosfPageDown:<Key>Next\nosfBackSpace:<Key>BackSpace\nosfDelete:<Key>Delete\nosfInsert:<Key>Insert\nosfAddMode:Shift<Key>F8\nosfHelp:<Key>F1,<Key>Help\nosfMenu:Shift<Key>F10,<Key>Menu\nosfMenuBar:<Key>F10,Shift<Key>Menu\nosfSelect:<Key>Select\nosfActivate:<Key>KP_Enter,<Key>Execute\nosfClear:<Key>Clear\nosfUndo:<Key>Undo\nosfSwitchDirection:Alt<Key>Return,Alt<Key>KP_Enter"
XAUTOLOCK_SEMAPHORE_PID(INTEGER) = 53, 51, 0, 0
_MIT_PRIORITY_COLORS(CARDINAL) = 
Q:~/sys/fvwm2_2.0.43-BETA$ 

                FvwmIdent
This doesn't work for background (it works for xterm & xemacs)

                xdpyinfo (maybe)
Q:~/sys/fvwm2_2.0.43-BETA$ xdpyinfo
name of display:    :0.0
version number:    11.0
vendor string:    The XFree86 Project, Inc
vendor release number:    3120
maximum request size:  4194300 bytes
motion buffer size:  0
bitmap unit, bit order, padding:    32, LSBFirst, 32
image byte order:    LSBFirst
number of supported pixmap formats:    2
supported pixmap formats:
    depth 1, bits_per_pixel 1, scanline_pad 32
    depth 16, bits_per_pixel 16, scanline_pad 32
keycode range:    minimum 8, maximum 134
focus:  window 0x80000d, revert to Parent
number of extensions:    10
    BIG-REQUESTS
    MIT-SCREEN-SAVER
    MIT-SHM
    MIT-SUNDRY-NONSTANDARD
    Multi-Buffering
    SHAPE
    SYNC
    XC-MISC
    XFree86-VidModeExtension
    XTEST
default screen number:    0
number of screens:    1

screen #0:
  dimensions:    1024x768 pixels (347x260 millimeters)
  resolution:    75x75 dots per inch
  depths (1):    16
  root window id:    0x25
  depth of root window:    16 planes
  number of colormaps:    minimum 1, maximum 1
  default colormap:    0x21
  default number of colormap cells:    64
  preallocated pixels:    black 0, white 65535
  options:    backing-store YES, save-unders YES
  largest cursor:    64x64
  current input event mask:    0x58003d
    KeyPressMask             ButtonPressMask          ButtonReleaseMask        
    EnterWindowMask          LeaveWindowMask          SubstructureNotifyMask   
    SubstructureRedirectMask PropertyChangeMask       
  number of visuals:    1
  default visual id:  0x20
  visual:
    visual id:    0x20
    class:    TrueColor
    depth:    16 planes
    available colormap entries:    64 per subfield
    red, green, blue masks:    0xf800, 0x7e0, 0x1f
    significant bits in color specification:    6 bits
Q:~/sys/fvwm2_2.0.43-BETA$ 
Argg why can't I have 24 bits??

        - What OS & version you are running under
Q:~/sys/fvwm2_2.0.43-BETA$ uname -a
Linux Q.Net 2.0.17 #91 Mon Sep 2 13:07:51 EDT 1996 i586
Q:~/sys/fvwm2_2.0.43-BETA$ 

        - What version of X11 are you running under
Q:~/sys/fvwm2_2.0.43-BETA$ X -showconfig

XFree86 Version 3.1.2 / X Window System
(protocol Version 11, revision 0, vendor release 6000)
Operating System: Linux 
Configured drivers:
  S3: accelerated server for S3 graphics adaptors (Patchlevel 0)
      mmio_928, s3_generic
Q:~/sys/fvwm2_2.0.43-BETA$ 
        - What exact version of FVWM you are running
Q:~/sys/fvwm2_2.0.43-BETA$ fvwm2 -version
[FVWM][main]:  Fvwm Version 2.0.43 compiled on Sep  5 1996 at 00:55:59

[FVWM][CatchRedirectError]: <<ERROR>> another WM is running
Q:~/sys/fvwm2_2.0.43-BETA$ 
        - How was FVWM compiled (compiler & version, options, etc)
from Makefile:
      CDEBUGFLAGS = -O6 -g -m486 -pipe -Wall

This is the Debian GNU prepackged source file.

Had same problem with 2.0.42 Beta that I got source to myself.

Extra comment:

The priority of this is kinda low, I admit.

Extra Ideas:

Hey, here's an idea for FvwmBackerDesk:
to cache the root background for each desk so the command
doesn't have to be run each time.  And then specify an update
interval.

(Like xearth needs updating every so often since it shows the sun's
current position, but xv only shows this one boy that doesn't change
much; perhaps I should make it fetch other boys -- now that's an idea)

Addendum:

If you care, my titles for the desks are:
0-System (so the red means problem as if in Star Trek or something);
1-Research (like WWW stuff -- thus the earth picture); 2-Applications
(so it gets the most soothing color); 3-Play (so that's where the boy
comes in)

Excuse:

I searched the entire archives (transfering 9MB of uncompressed files
seemed silly and took a while on my ISP's T1s), and all I found is
others with the same problem, no real solutions, unless the solution
people didn't include the string backer in their reply (how can I
thread those?  Oh yeah ... nn) Ok ... and I also realized that I could
try the dynamic FvwmBackerDesk stuff that people have posted but I
don't really need that ...

Bradley Allen <[email-masked]>
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].